Subject: 24.3.50; `set-frame-parameter` broken for `tool-bar-lines`

From: Drew Adams <[email-masked]>
Date: Wed, 4 Dec 2013 07:01:46 -0800 (PST)

emacs -Q

M-x set-variable RET pop-up-frames RET t
M-x tool-bar-mode ; turn it off, to start from zero
M-x pp-eval-expression RET (frame-parameters)

In frame *Pp Eval Output* search for `tool-bar-lines' => 0 (good).

In original frame (do all of the commands here, except isearch):

M-x tool-bar-mode ; turn it on
M-x pp-eval-expression RET (frame-parameters)

In frame *Pp Eval Output* search for `tool-bar-lines' => 2 (wrong).

In original frame (do all of the commands here, except isearch):

M-x pp-eval-expression RET (set-frame-parameter nil 'tool-bar-lines 1)
M-x pp-eval-expression RET (frame-parameters)

In frame *Pp Eval Output* search for `tool-bar-lines' => 2 (wrong).

In original frame (do all of the commands here, except isearch):

M-x pp-eval-expression RET (set-frame-parameter nil 'tool-bar-lines 3)
M-x pp-eval-expression RET (frame-parameters)

In frame *Pp Eval Output* search for `tool-bar-lines' => 2 (wrong).

etc.  It seems that the `tool-bar-lines' is always either 0 or 2.

In GNU Emacs 24.3.50.2 (i686-pc-mingw32)
 of 2013-11-28 on LEG570
Bzr revision: 115271 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'